﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace SLabelDesign
{
    public partial class FormAttributeSetting : Form
    {
        public FormAttributeSetting(LabelModel lblm)
        {
            InitializeComponent();
            txt_drawpaper_width.Text = lblm.labelDrawPaperSize.Width.ToString();
            txt_drawpaper_height.Text= lblm.labelDrawPaperSize.Height.ToString();
            txt_scalling.Text = (lblm.labelScaling*100).ToString();
        }

        public delegate void ChangeFormMain_DrawPaper(int width,int height,float scalling);
        public event ChangeFormMain_DrawPaper changeFormMain_DrawPaper;
        private void btn_save_Click(object sender, EventArgs e)
        {
            int mm_width = int.Parse(txt_drawpaper_width.Text);
            int mm_height = int.Parse(txt_drawpaper_height.Text);
            int tmp = int.Parse(txt_scalling.Text);
            float mm_scalling =(float)Math.Round(tmp / 100.00F,1);
            changeFormMain_DrawPaper(mm_width,mm_height, mm_scalling);
        }
    }
}
