﻿using System;
using System.Collections.Generic;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace SLabelDesign
{
    [Serializable]
    public class LabelModel
    {
        // 打开的文件路径
        public string labelFilePath { get; set; } = null;

        // 画布尺寸
        public Size labelDrawPaperSize { get; set; } = new Size(100,50);


        // 缩放比例
        private float _labelScaling= 1.5F;
        public float labelScaling {
            get { return _labelScaling; }
            set {
                this.preLabelScaling = _labelScaling;
                this._labelScaling = value;
            } }

        // 前一个缩放比例
        public float preLabelScaling { get; set; } = 1.5F;

        // 画布中的元素列表
        public Dictionary<string,Object> ctlList = new Dictionary<string,Object>();
    }


}
