﻿using System;
using System.Collections;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Linq;
using System.Reflection;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace SLabelDesign.DesignerControl
{
    [Obsolete("此类已弃用，请使用 UILabelControl 类")]
    public class LabelControl: System.Windows.Forms.Label,System.ComponentModel.ICustomTypeDescriptor
    {

        // 设置属性显示的白名单
        List<string> whiteNameList = new List<string>() { "Size", "Location", "BorderStyle", "font", "LabelTXT" ,"textalign"}.ConvertAll(d => d.ToLower());



        public LabelControl()
        {
            Font font = new Font("Arial", 14);
            this.Font = font;
            this.AutoSize = false;
            this.TextAlign = ContentAlignment.MiddleLeft;
            this.Height = 40;
            this.Location = new Point(10,10);
            AutoDragComponent adcomponent = new AutoDragComponent();
            adcomponent.initProperty(this);
           

        }
        [Category("其他设置")]
        [Description("设置标签文本内容")]
        [DisplayName ("标签文本")]
        public string LabelTXT
        {
            get { return this.Text; }
            set { this.Text = value; }

        }

        #region 显示实现接口
        AttributeCollection ICustomTypeDescriptor.GetAttributes()
        {
            return TypeDescriptor.GetAttributes(this, true);
        }

        string ICustomTypeDescriptor.GetClassName()
        {
            return TypeDescriptor.GetClassName(this, true);
        }

        string ICustomTypeDescriptor.GetComponentName()
        {
            return TypeDescriptor.GetComponentName(this, true);
        }

        TypeConverter ICustomTypeDescriptor.GetConverter()
        {
            return TypeDescriptor.GetConverter(this, true);
        }

        EventDescriptor ICustomTypeDescriptor.GetDefaultEvent()
        {
            return TypeDescriptor.GetDefaultEvent(this, true);
        }

        PropertyDescriptor ICustomTypeDescriptor.GetDefaultProperty()
        {
            return TypeDescriptor.GetDefaultProperty(this, true);
        }

        object ICustomTypeDescriptor.GetEditor(Type editorBaseType)
        {
            return TypeDescriptor.GetEditor(this, editorBaseType, true);
        }

        EventDescriptorCollection ICustomTypeDescriptor.GetEvents()
        {
            return TypeDescriptor.GetEvents(this, true);
        }

        EventDescriptorCollection ICustomTypeDescriptor.GetEvents(Attribute[] attributes)
        {
            return TypeDescriptor.GetEvents(this, attributes, true);
        }

        PropertyDescriptorCollection ICustomTypeDescriptor.GetProperties()
        {
            return ((ICustomTypeDescriptor)this).GetProperties(new Attribute[0]);
        }

        PropertyDescriptorCollection ICustomTypeDescriptor.GetProperties(Attribute[] attributes)
        {
            ArrayList props = new ArrayList();
            Type thisType = this.GetType();

            PropertyDescriptorCollection propsDC = TypeDescriptor.GetProperties(thisType);

            foreach (PropertyDescriptor dc in propsDC)
            {
                if (whiteNameList.Contains(dc.Name.ToLower()))
                {
                    props.Add(dc);
                }
            }

            PropertyDescriptor[] propArray =
            (PropertyDescriptor[])props.ToArray(typeof(PropertyDescriptor));
            return new PropertyDescriptorCollection(propArray);
        }

        object ICustomTypeDescriptor.GetPropertyOwner(PropertyDescriptor pd)
        {
            return this;
        }


        #endregion

    }

    [Serializable]
    public class LabelControlModel
    {
        public Size CtlSize { get; set; }
        public Point CtlLocation { get; set; }
        public string LabelTXT { get; set; }
        public BorderStyle BorderStyle { get; set; }
        public Font TXTFont { get; set; }
        public ContentAlignment TXTAlign { get; set; }
    }
}
